%global sfcompat bash
%global sfinc %{_datadir}/shellfu/include-%{sfcompat}
%global sfmodn saturnin
%global shellfu_req shellfu >= 0.10.40, shellfu < 0.11.0

Name:           shellfu-bash-saturnin
Version:        0.5.14
Release:        1%{?dist}
Summary:        Saturnin - Spirit of your toolbox
URL:            https://gitlab.com/vornet/shellfu/shellfu-bash-saturnin
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %shellfu_req
BuildRequires:  make
BuildRequires:  shellfu-%{sfcompat}
BuildRequires:  shellfu-bash-inigrep
BuildRequires:  shellfu-bash-pretty
BuildRequires:  shellfu-sh-exit

Requires: %shellfu_req
Requires: shellfu-%{sfcompat}
Requires: shellfu-bash-inigrep
Requires: shellfu-bash-pretty
Requires: shellfu-sh-exit
%description
saturnin is a Shellfu library that helps you easily build toolkit from
various scripts that you may have lying around.  Instead of having a
herd of untamed undocumented and hard-to-share scripts, with help of
saturnin you can easily create and package a meta-command with a set
of discoverable and maintainable sub-commands.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
test -d utils/tfkit || exit 0
make test \
    SHELLFU_PATH=%{buildroot}/%{sfinc}

%files
%doc %{_docdir}/%{name}/README.md
%{sfinc}/%{sfmodn}.sh
%{sfinc}/%{sfmodn}_help.sh


%changelog

# specfile built with MKit 0.0.53
